import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:shadowmagict") {
        world.getAllPlayers().forEach(player => {
            let cd = getScore('fskcd', player)
            if (cd >= 8) {
                player.runCommand("function shadowchoose")
            }
            else if (cd < 8) {
                player.runCommand("function endcdntfr")
            }
        })
    }
})